Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Interface QXmlLexicalHandlerInterface

All Superinterfaces:
  QtJambiInterface

All Known Implementing Classes:
  QXmlDefaultHandler, QXmlLexicalHandler

    public interface QXmlLexicalHandlerInterface

extends QtJambiInterface

The `QXmlLexicalHandler` class provides an interface to report the lexical content of XML data. The events in the lexical handler apply to the entire document, not just to the document element, and all lexical handler events appear between the content handler's `startDocument` and `endDocument` events.

You can set the lexical handler with `QXmlReader::setLexicalHandler()`.

This interface's design is based on the the SAX2 extension `LexicalHandler`.

The interface provides the `startDTD()`, `endDTD()`, `startEntity()`, `endEntity()`, `startCDATA()`, `endCDATA()` and `comment()` functions.

See also:
  `QXmlDTDHandler`, `QXmlDeclHandler`, `QXmlContentHandler`, `QXmlEntityResolver`, `QXmlErrorHandler`, and Introduction to SAX2.

Method Summary
`boolean` | `comment(java.lang.String ch)`
`boolean` | `endCDATA()`
`boolean` | `endDTD()`
`boolean` | `endEntity(java.lang.String name)`
`java.lang.String` | `errorString()` The reader calls this function to get an error string if any of the handler functions returns false.
`boolean` | `startCDATA()`
`boolean` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`boolean` | `startEntity(java.lang.String name)`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### comment

    boolean comment(java.lang.String ch)

### endCDATA

    boolean endCDATA()

### endDTD

    boolean endDTD()

### endEntity

    boolean endEntity(java.lang.String name)

### errorString

    java.lang.String errorString()

  The reader calls this function to get an error string if any of the handler functions returns false.

### startCDATA

    boolean startCDATA()

### startDTD

    boolean startDTD(java.lang.String name,
                     java.lang.String publicId,
                     java.lang.String systemId)

### startEntity

    boolean startEntity(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD